macOS 10.13 High Sierra compatibility for SANLink1?

  • 654 Views
  • Last Post 27 February 2018
  • Topic Is Solved
B K posted this 26 February 2018

Hi Promise team. I can't find any qualifying documentation about compatibility for the old SANLink1 4Gb Fibre Channel Thunderbolt HBAs other than qualification for 10.8.1 and up. I have a client with several using Mac Pro's 2013 on 10.12 with StorNext 5.4.x. However, they need to upgrade to 10.13. Just want to make sure all is well there before we commit to the upgrade path.

Thanks! 

Order By: Standard | Latest | Votes
P B posted this 26 February 2018

Yes, it works. The SANLink1 driver is built into the macOS kernel. Grab a macOS 10.13 machine as a test and you'll see it works fine. The SL1 will be listed in System Preferences > Fibre Channel just like it does on previous versions of OS X.





The only drivers Promise compiles and that requires our kernel extension, is for SANLink2 and SANLink3.

B K posted this 27 February 2018

Many Thanks, P B!

Close